/* date */
	var temp_date=new Date();
/* fscommand */
	var InternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
	function bigFloatMediaInner_DoFSCommand(command, args) {
		var bigFloat_obj = InternetExplorer ? bigFloatMediaInner : document.bigFloatMediaInner;
		switch(command){
		case 'closeAD':
			if(document.getElementById('streamMediaBShell').style.display!='none'){
				publicMethod_obj.change('streamMediaBShell','streamMediaSShell');
				clearInterval(publicMethod_obj.streamClearMedia_obj);
			}
			break;
		case 'enable':
			bigFloat_obj.SetVariable("enabled_str","1");
			break;
		}
	}
	if (navigator.appName && navigator.appName.indexOf("Microsoft") != -1 && navigator.userAgent.indexOf("Windows") != -1 && navigator.userAgent.indexOf("Windows 3.1") == -1) {
		document.write('<script language=\"VBScript\"\>\n');
		document.write('On Error Resume Next\n');
		document.write('Sub bigFloatMediaInner_FSCommand(ByVal command, ByVal args)\n');
		document.write('	Call bigFloatMediaInner_DoFSCommand(command, args)\n');
		document.write('End Sub\n');
		document.write('</script\>\n');
	}
	var InternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
	function fullScreeMediaInner_DoFSCommand(command, args) {
		var fullScree_obj = InternetExplorer ? fullScreeMediaInner : document.fullScreeMediaInner;
		switch(command){
		case 'closeAD':
			if(document.getElementById('fullScreeMedia').style.display!='none'){
				publicMethod_obj.change('fullScreeMedia');
				clearInterval(publicMethod_obj.fullClearMedia_obj);
			}
			break;
		case 'enable':
			fullScree_obj.SetVariable("enabled_str","1");
			break;
		}
	}
	if (navigator.appName && navigator.appName.indexOf("Microsoft") != -1 && navigator.userAgent.indexOf("Windows") != -1 && navigator.userAgent.indexOf("Windows 3.1") == -1) {
		document.write('<script language=\"VBScript\"\>\n');
		document.write('On Error Resume Next\n');
		document.write('Sub fullScreeMediaInner_FSCommand(ByVal command, ByVal args)\n');
		document.write('	Call fullScreeMediaInner_DoFSCommand(command, args)\n');
		document.write('End Sub\n');
		document.write('</script\>\n');
	}
/* public */
	var publicMethod_obj=new Object();
	publicMethod_obj.exchangeInner = function(){
		if(document.getElementById(this.id)){
			if(this.enabled){
				document.getElementById(this.id).innerHTML=this.inner;
			}
		}
	}
	publicMethod_obj.onResize=function(){
		if(this.maxWidth!=null&&hexunPageMode_obj.clientWidth>this.maxWidth){
			var tempFrame=(hexunPageMode_obj.clientWidth-this.maxWidth)/2;
		}else{
			var tempFrame=0;
		}
		for(var loops in this.list_array){
			if(document.getElementById(this.list_array[loops]).style.display!='none'){
				switch(this.align){
					case 'left':
						document.getElementById(this.list_array[loops]).style.left=tempFrame+this.marginX+'px';
						break;
					case 'right':
						document.getElementById(this.list_array[loops]).style.left=hexunPageMode_obj.scrollLeft+hexunPageMode_obj.clientWidth-tempFrame-this.width-this.marginX+'px';
						break;
					case 'center':
						document.getElementById(this.list_array[loops]).style.left=(hexunPageMode_obj.clientWidth-this.width)/2+hexunPageMode_obj.scrollLeft+'px';
						break;
				}
				switch(this.valign){
					case 'top':
						document.getElementById(this.list_array[loops]).style.top=hexunPageMode_obj.scrollTop+this.marginY+'px';
						break;
					case 'bottom':
						document.getElementById(this.list_array[loops]).style.top=hexunPageMode_obj.clientHeight+hexunPageMode_obj.scrollTop-this.height-this.marginY+'px';
						break;
					case 'center':
						document.getElementById(this.list_array[loops]).style.top=(hexunPageMode_obj.clientHeight-this.height)/2+hexunPageMode_obj.scrollTop+'px';
						break;
					default :
						document.getElementById(this.list_array[loops]).style.top=this.marginY+'px';
						break;
				}
			}
		}
	}
	publicMethod_obj.writeDiv=function(id1_str,id2_str,get_w,get_h,back_str,close_obj,replay_obj,static_bool){
		var temp_str='<div id="'+id1_str+'" style="display:block;';
		if(static_bool==null){
			temp_str+='position:absolute;';
		}
		temp_str+='width:'+get_w+'px;';
		if(back_str!=null){
			temp_str+='background:'+back_str+';';
		}
		temp_str+='"><div id="'+id2_str+'" style="';
		temp_str+='height:'+get_h+'px;" class="adcLoadingTip"><br />内容装载中...</div>';
		if(replay_obj!=null){
			temp_str+=publicMethod_obj.creatReplayBtn(replay_obj);
		}
		if(close_obj!=null){
			temp_str+=publicMethod_obj.creatCloseBtn(close_obj);
		}
		temp_str+='<div style="clear:both"></div></div>';
		return temp_str;
	}
	publicMethod_obj.creatReplayBtn=function(replay_obj){
		var temp_str='<div style="cursor:hand;width:'+replay_obj.width+'px;line-height:14px;height:14px;float:'+replay_obj.align+';text-align:center;margin:0px;padding:2px 0px;';
		if(replay_obj.backgroud!=null){
			temp_str+='background:'+replay_obj.backgroud+';';
		}
		temp_str+='"';
		temp_str+=' onclick="publicMethod_obj.replay(\''+replay_obj.instance+'\''
		if(replay_obj.closed!=null){
			temp_str+=',\''+replay_obj.closed+'\'';
		}
		if(replay_obj.flash!=null){
			temp_str+=',\''+replay_obj.flash+'\'';
		}
		temp_str+=')"';
		temp_str+='><a onclick="return false" href="#" style="color:'+replay_obj.color+';font-size:12px;font-weight:'+replay_obj.bold+';text-decoration:'+replay_obj.decoration+'">重播</a></div>';
		return temp_str;
	}
	publicMethod_obj.creatCloseBtn=function(close_obj){
		var temp_str='<div style="cursor:hand;width:'+close_obj.width+'px;line-height:14px;height:14px;float:'+close_obj.align+';text-align:center;margin:0px;padding:2px 0px;';
		if(close_obj.backgroud!=null){
			temp_str+='background:'+close_obj.backgroud+';';
		}
		temp_str+='"';
		temp_str+=' onclick="publicMethod_obj.change(\''+close_obj.instance+'\'';
		if(close_obj.next!=null){
			temp_str+=',\''+close_obj.next+'\'';
		}
		temp_str+=')"><a onclick="return false" href="#" style="color:'+close_obj.color+';font-size:12px;font-weight:'+close_obj.bold+';text-decoration:'+close_obj.decoration+'">关闭</a></div>'
		return temp_str;
	}
	publicMethod_obj.change=function(close_str,next_str){
		if(close_str!=null){
			document.getElementById(close_str).style.display='none';
			if(close_str=='fullScreeMedia'){
				if(document.getElementById('streamMediaBShell')!=null){
					publicMethod_obj.change('streamMediaSShell','streamMediaBShell');
				}
			}
		}
		if(next_str!=null){
			document.getElementById(next_str).style.display='block';
		}
		return false;
	}
	publicMethod_obj.replay=function(get_str,close_str,flash_str){
		document.getElementById(get_str).style.display='block';
		var bigFloat_obj = InternetExplorer ? bigFloatMediaInner : document.bigFloatMediaInner;
		if(close_str!=null){
			document.getElementById(close_str).style.display='none';
		}
		if(InternetExplorer&&flash_str!=null){
			document.getElementById(flash_str).GotoFrame(1);
			document.getElementById(flash_str).Play();
		}
	}
	publicMethod_obj.creatMediaAD=function(flash_bool,id_str,src_str,w_num,h_num,wmode,url_str){
		if(flash_bool){
			var temp_str='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" '
			+'width="'+w_num+'" height="'+h_num+'" id="'+id_str+'">'
			+'<param name="movie" value="'+src_str+'" />'
			+'<param name="quality" value="high" />';
			if(wmode){
				temp_str+='<param name="wmode" value="'+wmode+'">';
			}
			temp_str+='<embed src="'+src_str+'" width="'+w_num+'" height="'+h_num+'" '
			+'quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" ';
			if(wmode){
				temp_str+='wmode="'+wmode+'"';
			}
			temp_str+=' name="'+id_str+'" id="'+id_str+'"></embed></object>'
		}else{
			var temp_str='<a href="'+url_str+'" target="_blank">'
			+'<img src="'+src_str+'" width="'+w_num+'" height="'+h_num+'" border="0" /></a>';
		}
		return temp_str;
	}
	publicMethod_obj.openWindowBack=function() {
		var popUpWin2 = open("/backscreen.htm", "popUpWin2", "width=770,height=550,top=4000,left=3000");
	}
	publicMethod_obj.showOfTime=function(){
		for(var loops=0;loops<arguments.length;loops++){
			if(temp_date>arguments[loops].s_date&&temp_date<arguments[loops].e_date){
				return true;
			}
		}
		return false;
	}
/* List */
	var pageMedia_array=new Array();
	var pageFloatMedia_array=new Array();
/* 顶 */
	// pagetop full size banner
if((temp_date>hexunOutTimer(2007,5,1,9,30))&&(temp_date<hexunOutTimer(2007,5,1,8,30))){
	var temp_obj=new Object({id:'topFullWidthBanner',enabled:true});
	temp_obj.inner='<IFRAME WIDTH="956" HEIGHT="70" MARGINWIDTH="0" MARGINHEIGHT="0" HSPACE="0" VSPACE="0" FRAMEBORDER="0" SCROLLING="no" BORDERCOLOR="#000000" SRC="http://ads.hexun.com/html.ng/site=homeway-investment&adform=column&place=otherwindow&adsize=956x70"></IFRAME>';
	temp_obj.init=publicMethod_obj.exchangeInner;
	pageMedia_array.push(temp_obj);
}
/* 左 */
/* 中 */
/* 右 */
if(publicMethod_obj.showOfTime(new Object({s_date:hexunOutTimer(2007,6,18,9,30),e_date:hexunOutTimer(2008,6,9,8,30)}))){
	// 145x55 01
	temp_obj=new Object({id:'right145x55Banner01',enabled:true});
	temp_obj.inner='<IFRAME WIDTH="145" HEIGHT="55" MARGINWIDTH="0" MARGINHEIGHT="0" HSPACE="0" VSPACE="0" FRAMEBORDER="0" SCROLLING="no" BORDERCOLOR="#000000" SRC="http://ads.hexun.com/html.ng/site=homeway-investment&adform=button&place=right01&adsize=145x55"></IFRAME>';
	temp_obj.init=publicMethod_obj.exchangeInner;
	pageMedia_array.push(temp_obj);
	// 145x55 02
	temp_obj=new Object({id:'right145x55Banner02',enabled:true});
	temp_obj.inner='<IFRAME WIDTH="145" HEIGHT="55" MARGINWIDTH="0" MARGINHEIGHT="0" HSPACE="0" VSPACE="0" FRAMEBORDER="0" SCROLLING="no" BORDERCOLOR="#000000" SRC="http://ads.hexun.com/html.ng/site=homeway-investment&adform=button&place=right02&adsize=145x55"></IFRAME>';
	temp_obj.init=publicMethod_obj.exchangeInner;
	pageMedia_array.push(temp_obj);
}
	// 300x250 01
	temp_obj=new Object({id:'right300x250Banner01',enabled:true});
	temp_obj.inner='<IFRAME WIDTH="301" HEIGHT="251" MARGINWIDTH="0" MARGINHEIGHT="0" HSPACE="0" VSPACE="0" FRAMEBORDER="0" SCROLLING="no" BORDERCOLOR="#000000" SRC=" http://ads.hexun.com/html.ng/site=homeway-investment&adform=pip&place=centertop&adsize=300x250"></IFRAME>';
	temp_obj.init=publicMethod_obj.exchangeInner;
	pageMedia_array.push(temp_obj);
if(publicMethod_obj.showOfTime(new Object({s_date:hexunOutTimer(2007,6,6,9,30),e_date:hexunOutTimer(2007,6,18,8,30)}))){
	// 300x60 01
	temp_obj=new Object({id:'right300x60Banner01',enabled:true});
	temp_obj.inner='<IFRAME WIDTH="300" HEIGHT="60" MARGINWIDTH="0" MARGINHEIGHT="0" HSPACE="0" VSPACE="0" FRAMEBORDER="0" SCROLLING="no" BORDERCOLOR="#000000" SRC="http://ads.hexun.com/html.ng/site=homeway-investment&place=rightbottom&adsize=300x60&adform=button"></IFRAME>';
	temp_obj.init=publicMethod_obj.exchangeInner;
	pageMedia_array.push(temp_obj);
}
/* 浮动 logo */
/* 对联 */
/* 流媒体 */
/* 背投 */
/* page timeline */
	if(document.getElementById('hexunBodyBaseDiv')==null){
		document.write('<div id="hexunBodyBaseDiv" style="position:absolute; z-index:10; left:0px; top:0px; width:10px;"></div>');
	}
	document.getElementById('hexunBodyBaseDiv').style.height=2000+'px';
	window.scrollBy(0,1);
	var hexunPageMode_obj=(document.documentElement.scrollTop>document.body.scrollTop?document.documentElement:document.body);
	window.scrollBy(0,-1);
	document.getElementById('hexunBodyBaseDiv').style.height=10+'px';
	function pageFloatMediaInit(){
		for(var loops=0;loops<pageFloatMedia_array.length;loops++){
			pageFloatMedia_array[loops].onStage();
		}
	}
	function hexunTimeline(){
		if(pageFloatMedia_array.length>0){
			pageFloatMediaInit();
			setInterval(function (){
				pageFloatMediaInit();
			},100);
		}
	}
/* Init */
	function pageMediaInit(){
		for(var loops=0;loops<pageMedia_array.length;loops++){
			pageMedia_array[loops].init();
		}
	}
	var pageLoading;
	pageLoading=setInterval(function(){
		if(document.getElementById('pageTail')!=null){
			clearInterval(pageLoading);
			pageMediaInit();
			hexunTimeline();
		}
	},100);